atom/icon='Icon.dmi'
mob/icon_state="Player"
obj/icon_state="X"
turf/icon_state="BG"

world/view=9


/*
NE: (X2/X1)*Y1=Y2
NW: 1+((1-(X2/X1)))*Y1=Y2
SE: (1-((X2/X1)-1))*Y1=Y2
SW: (X2/X1)*Y1=Y2

100,100
75,75



*/

mob/verb/Test(Choice in list("Get_Dir 1","Get_dir 2"))
	if(!Choice) return
	if(Choice=="Get_dir 2") Choice=0
	else Choice=1

	var/obj/X
	var/Y
	for(X) del X
	var/OldLoc=loc
	for(var/turf/T in range(14))
		X=MakeObj(T)
		if(Choice) Y=Get_Dir(OldLoc,X)
		else Y=Get_dir(OldLoc,X)
		X.Make(Y)
		if(rand(1,15)==15) sleep(1)



mob/proc/MakeObj(Loc=loc)
	return new /obj(Loc)


obj/proc/Make(Txt)
	var/P1=copytext(Txt,1,2)
	var/P2=copytext(Txt,2,4)
	if(length(Txt)==2)
		P1="No"
		P2=Txt
	var/obj/X
	switch(P1)
		if("N")X=new /obj/Dirs/N(loc)
		if("S")X=new /obj/Dirs/S(loc)
		if("E")X=new /obj/Dirs/E(loc)
		if("W")X=new /obj/Dirs/W(loc)
		else
			X=new(loc)
			X.icon_state="Blank"

	switch(P2)
		if("NE")X.overlays+= /obj/Dirs/NE
		if("SE")X.overlays+= /obj/Dirs/SE
		if("NW")X.overlays+= /obj/Dirs/NW
		if("SW")X.overlays+= /obj/Dirs/SW

	del src

obj/Dirs
	N/icon_state="N"
	E/icon_state="E"
	S/icon_state="S"
	W/icon_state="W"
	NE/icon_state="NE"
	NW/icon_state="NW"
	SE/icon_state="SE"
	SW/icon_state="SW"